src/modules/auth/pages/signup/signup.html

<ion-content class="content-signup">
  <div class="bg-content">
    <div class="card">
      <div class="logo">
        <ion-icon name="chatbubbles" color="light"></ion-icon>
        <h5>AppChat</h5>
        <h1>New Account</h1>
      </div>
      <div class="inputs">
        <ion-list>
          <ion-item>
            <ion-label floating>FirstName</ion-label>
            <ion-input type="text"></ion-input>
          </ion-item>
          <ion-item>
            <ion-label floating>LastName</ion-label>
            <ion-input type="text"></ion-input>
          </ion-item>
          <ion-item>
            <ion-label floating>Email</ion-label>
            <ion-input type="text"></ion-input>
          </ion-item>
          <ion-item>
            <ion-label floating>Password</ion-label>
            <ion-input type="text"></ion-input>
          </ion-item>
          <ion-item>
            <ion-label floating>Confirm Password</ion-label>
            <ion-input type="text"></ion-input>
          </ion-item>
          <ion-item>
            <ion-label floating>Birthday</ion-label>
            <ion-input type="text"></ion-input>
          </ion-item>
          <ion-item>
            <ion-label floating>Age</ion-label>
            <ion-input type="text"></ion-input>
          </ion-item>
          <ion-item class="terms">
            <ion-label>I Accept the <b>Terms</b></ion-label>
            <ion-checkbox color="light"></ion-checkbox>
          </ion-item>
        </ion-list>
      </div>
      <div class="buttons">
        <ion-row>
          <ion-col>
            <button ion-button block color="danger" (click)="signup()">Create account</button>
          </ion-col>
        </ion-row>
        <p color="light">have an <b (click)="login()">account?</b></p>
      </div>
    </div>
  </div>
</ion-content>

src/modules/auth/pages/signup/signup.pug
ion-content.content-signup
    .bg-content
        .card
            .logo
                ion-icon(name="chatbubbles", color="light")
                h5 AppChat
                h1 New Account
            .inputs
                ion-list
                    ion-item
                        ion-label(floating) FirstName
                        ion-input(type="text")
                    ion-item
                        ion-label(floating) LastName
                        ion-input(type="text")
                    ion-item
                        ion-label(floating) Email
                        ion-input(type="text")
                    ion-item
                        ion-label(floating) Password
                        ion-input(type="text")
                    ion-item
                        ion-label(floating) Confirm Password
                        ion-input(type="text")
                    ion-item
                        ion-label(floating) Birthday
                        ion-input(type="text")
                    ion-item
                        ion-label(floating) Age
                        ion-input(type="text")
                    ion-item.terms
                        ion-label I Accept the 
                            b Terms
                        ion-checkbox(color="light")
                    
            .buttons
                ion-row
                    ion-col
                        button(ion-button, block, color="danger",(click)="signup()") Create account
                p(color="light") have an 
                    b((click)="login()") account?
